setFixest_na_inf.rm {fixest} | R Documentation

## Sets/gets whether to remove NA/Inf values from `fixest` estimations

### Description

Sets/gets the default policy of NA/Inf behavior in `fixest` estimations. By default, NA/Inf values are removed (and a note is displayed). If you prefer a no NA policy, just set `setFixest_na_inf.rm(FALSE)`.

### Usage

    setFixest_na_inf.rm(x)

    getFixest_na_inf.rm()

### Arguments

`x` | A Logical.

### Author(s)

Laurent Berge

### Examples

    base = iris
    base[1, 1] = NA
    # default: NAs removed
    res = feols(Sepal.Length ~ Sepal.Width, base)
    # no tolerance: estimation fails
    res = feols(Sepal.Length ~ Sepal.Width, base, na_inf.rm = FALSE)
    # to set no tolerance as default:
    setFixest_na_inf.rm(FALSE)

[Package fixest version 0.1.0 Index]